#include <iostream>                // std::cout
#include <functional>              // std::bind
#include <random>
using namespace std;

int main( int argc, char *argv[] ) {
	if (argc != 2) {
		cout << "usage: " << argv[0] << "length" << endl;
		return 1;
	}
	unsigned num = atol( argv[1] ) > 0 ?
	         atol( argv[1] ) : 0;
	if (0 == num ) {
		cout << "wrong number" << endl;
		return 2;
	}
	int arr_num[ num ]; // Variable-Length Arrays (ISO/IEC 9899:1999)
	std::default_random_engine generator;                       // construct a trivial random generator engine
	std::uniform_int_distribution<int> distribution(-100,100);  // https://www.cplusplus.com/reference/random/
	auto dice = std::bind ( distribution, generator );          // function for generates number in the range
	dice();
	for ( auto &a: arr_num ) a = dice();
	size_t num2 = sizeof(arr_num) / sizeof(arr_num[0]);
	for (size_t n = 0; n < num2; n++)
		cout << (0 == n ? "< " : " ") << arr_num[ n ] << (n == num2 - 1 ? " >" : " " );
	cout << endl;
	bool arr_log[ num2 ];
	for (size_t n = 0; n < num2; n++)
		arr_log[ n ] = arr_num[ n ] > 0;
	for (size_t n = 0; n < num2; n++)
		cout << (0 == n ? "< " : " ") << (arr_log[ n ] > 0  ? "+" : "-" ) << (n == num2 - 1 ? " >" : " " );
	cout << endl;
}
